Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 158541 - net-im/gajim-0.11 version bump (Keywording request)
Summary: net-im/gajim-0.11 version bump (Keywording request)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Alpha Porters
URL: http://gajim.org
Whiteboard:
Keywords:
Depends on: 144968 152529 158018
Blocks:
  Show dependency tree
 
Reported: 2006-12-19 06:14 UTC by tonich
Modified: 2007-05-20 20:35 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gajim-0.11.ebuild (gajim-0.11.ebuild,1.77 KB, text/plain)
2006-12-19 12:18 UTC, Oleg S. Marin
Details
gajim-0.11.ebuild (gajim-0.11.ebuild,2.66 KB, text/plain)
2006-12-19 14:27 UTC, Fab
Details
Make the ebuild create pyc and pyo files (gajim-0.11.ebuild-add-pyc_pyo.diff,566 bytes, patch)
2006-12-24 08:15 UTC, Milan Holzäpfel
Details | Diff
Makes ebuild work with >=dev-lang/python-2.5 (gajim-0.11-r3.ebuild.patch,381 bytes, patch)
2007-01-09 10:54 UTC, psyill.net
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tonich 2006-12-19 06:14:19 UTC
Version 0.11 of Gajim has been released.
What's new since 0.10.1:

    * Support for link-local messaging via Zeroconf using Avahi
    * Support for Network Manager
    * IPv6 support to connect to server
    * XHTML Support
    * Privacy Lists support
    * Ad-Hoc commands
    * GNOME Keyring support
Comment 1 Oleg S. Marin 2006-12-19 12:18:35 UTC
Created attachment 104386 [details]
gajim-0.11.ebuild

I wrote new ebuild, because there used autotools in package since this version.
Comment 2 Fab 2006-12-19 14:27:17 UTC
Created attachment 104396 [details]
gajim-0.11.ebuild

There's some problems :
 - inherit virtualx, but you don't use it
 - typo : use_enable trayiconf
 - cannot install it on an unstable system because of splitted dbus python bindings
 - dbus is not only used by remote, you cannot do $(use_enable dbus remote)
 - you removed multilib capacity


Here is another ebuild : diffs from 0.10.1 to 0.11 ebuilds:
-----------
 - added remote, network, zeroconf useflags to IUSE
 - Added >=dev-lang/python-2.4 dependency in RDEPEND (see README)
 - required >=dev-util/intltool-0.35.0 (see README)
 - required >=dev-util/pkgconfig-0.19 (see README) (bug #152529 for 0.10.1)
 - added sys-devel/gettext and dev-libs/glib to DEPEND (configure.ac)
 - Removed input_devices_keyboard useflag dirty hack check from DEPEND
 - removed src_unpack() : useless since no patch
 - improved pkg_setup() useflags checks
 - removed pkg_postinst() : gcc 4.1.1 stable on AMD64 and bug #109298 closed
 - src_compile() totally rewritten
 - doc files location is now managed by --docdir option.
COPYING, AUTHORS and THANKS files are read by gajim during execution, so can't
be gzipped by dodoc (see diff [7172:7195] at http://trac.gajim.org/log/trunk/src/dialogs.py)
Comment 3 Thomas Pani 2006-12-24 07:10:17 UTC
(In reply to comment #2)
> Created an attachment (id=104396) [edit]
> gajim-0.11.ebuild
> 

this one works for me on x86 (stable, except for unstable dbus).
however, could we change the name of the network USE-flag (this is used by ffmpeg and transcode for network streaming support)?
Comment 4 Milan Holzäpfel 2006-12-24 08:15:51 UTC
Created attachment 104682 [details, diff]
Make the ebuild create pyc and pyo files

This patch applied to the ebuild from comment #2 creates pyc and pyo files for the .py files in /usr/share/gajim. 
Tested on x86 (hardened) and amd64.
Comment 5 Fab 2006-12-24 08:50:52 UTC
(In reply to comment #3)
> however, could we change the name of the network USE-flag (this is used by
> ffmpeg and transcode for network streaming support)?
> 

Maybe simply net ?

(In reply to comment #4)
> This patch applied to the ebuild from comment #2 creates pyc and pyo files for
> the .py files in /usr/share/gajim. 
> Tested on x86 (hardened) and amd64.
> 

Thanks, works fine here on x86 and ~x86 : gajim is running faster.
Comment 6 Ihar Hrachyshka 2006-12-26 13:57:15 UTC
I think we should use "avahi" use-flag for zeroconf, and also another use-flag for network because it's the flag that a lot of people have in their make.conf and it grabs NetworkManager that is masked.
Comment 7 Fab 2007-01-04 01:23:14 UTC
Added Peter to CC.
Comment 8 Peter Weller (RETIRED) gentoo-dev 2007-01-04 14:14:30 UTC
Uh, I didn't see this bug :o Thanks for CCing me, Fabrice.

I committed an ebuild to the tree w/o seeing this bug... whoops :P

A number of features are currently not available with the current ebuild due to package maskings in the tree, I shall be enabling those features as said packages become unmasked. Gnome keyring support is available with the 'gnome' useflag. I will look further into Zeroconf support. There is currently no NetworkManager USE flag of any kind as NetworkManager is not stable in the tree. I will also be making notification support available with notify-python as that becomes stablized. Lemme know if you have any suggestions...

Reassigning and moving net-im@g.o to CC
Comment 9 Fab 2007-01-05 03:19:42 UTC
(In reply to comment #8)
> Lemme know if you have any suggestions...

Yes : gajim need python bindings for dbus. With the current ebuild, I'm not sure that the bindings are correctly installed on unstable systems (dbus >= 0.90) : the bindings have been splitted into separate packages : dev-python/dbus-python and dev-libs/dbus-glib.

With the dodoc command, all the doc files are gzipped, but gajim need to read them (try help --> about --> various buttons at the bottom of the about's windows).

Avahi need to be built with some specific USE flags, else gajim can't use it.

See the pkg_setup() function from the ebuild from comment #2.

Thanks to you.
Comment 10 Peter Weller (RETIRED) gentoo-dev 2007-01-05 15:43:13 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Lemme know if you have any suggestions...
> 
> Yes : gajim need python bindings for dbus. With the current ebuild, I'm not
> sure that the bindings are correctly installed on unstable systems (dbus >=
> 0.90) : the bindings have been splitted into separate packages :
> dev-python/dbus-python and dev-libs/dbus-glib.
> 
> With the dodoc command, all the doc files are gzipped, but gajim need to read
> them (try help --> about --> various buttons at the bottom of the about's
> windows).
> 
> Avahi need to be built with some specific USE flags, else gajim can't use it.
> 
> See the pkg_setup() function from the ebuild from comment #2.
> 
> Thanks to you.
> 

Sorted out the Avahi and dbus issues, I have no clue what you're going on about wrt the about windows - they all seem to work fine for me? :/
Comment 11 Fab 2007-01-07 09:00:19 UTC
(In reply to comment #10)
> 
> Sorted out the Avahi and dbus issues, I have no clue what you're going on about
> wrt the about windows - they all seem to work fine for me? :/
> 

Yes it works because, currently, there's two doc directory :

# ls /usr/share/doc/gajim
AUTHORS  ChangeLog  COPYING  README  README.html  THANKS

# ls /usr/share/doc/gajim-0.11-r3/
AUTHORS.gz  ChangeLog.gz  README.gz  THANKS.gz

The gajim-0.11-r3 dir is created by the dodoc command
The gajim dir is created by the makefile.

You should use the --docdir option at ./configure to set up the doc installation directory.
And then, at src_install(), remove ${D}/usr/share/doc/${PF}/README.html and do a dohtml on this file.

See this ebuild : attachment (id=104396)
Comment 12 psyill.net 2007-01-09 10:54:07 UTC
Created attachment 106181 [details, diff]
Makes ebuild work with >=dev-lang/python-2.5

This patch makes the ebuild work with >=dev-lang/python-2.5.
In Python 2.5, support for sqlite is built-in and thus, >=dev-lang/python-2.5 is conflicting with dev-python/pysqlite.
Comment 13 Peter Weller (RETIRED) gentoo-dev 2007-01-10 11:30:37 UTC
psy_ill: Thanks, didn't see that, did it anyway...
Fabrice: Thanks to you to...

Adding arches for keywording. (Added arches which have gajim-0.10.1 stable)
Comment 14 Gustavo Zacarias (RETIRED) gentoo-dev 2007-01-10 13:49:31 UTC
~sparc'ed again.
Any reason why the keywords were dropped? We had keywords and stable ones too, and no new (unkeyworded) deps were introduced.
Comment 15 nixnut (RETIRED) gentoo-dev 2007-01-13 14:58:38 UTC
~ppc added
Comment 16 Raúl Porcel (RETIRED) gentoo-dev 2007-05-20 20:35:44 UTC
~alpha done.

Welp--

Closing.